﻿using HotelDataModels.Enums;
using HotelDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.ViewModels
{
	public class BookingViewModel : IBookingModel
    {
        public int Id { get; set; }
        public int RoomId { get; set; }

        public int ClientId { get; set; }
        [DisplayName("Номер комнаты")]
        public int Number { get; set; } 
        [DisplayName("Фамилия клиента")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Дата заезда")]
        public DateTime ArrivalDate { get; set; } = DateTime.Now;
        [DisplayName("Дата выезда")]
        public DateTime DepartureDate { get; set; } = DateTime.Now;
        [DisplayName("Количество проведенных часов")]
        public double NumberHoursSpent { get; set; }
        [DisplayName("Статус проверки")]
        public AcceptanceStatus Status { get; set; } = AcceptanceStatus.Неизвестен;
        [DisplayName("Полная стоимость")]
        public double TotalCost { get; set; }
    }
}
